# Uses of Interface
org.bukkit.Vibration.Destination

Packages that use Vibration.Destination
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.

## Uses of Vibration.Destination in org.bukkit

Classes in org.bukkit that implement Vibration.Destination
Modifier and Type
Class
Description
`static class`
`Vibration.Destination.BlockDestination`
`static class`
`Vibration.Destination.EntityDestination`
Methods in org.bukkit that return Vibration.Destination
Modifier and Type
Method
Description
`@NotNull Vibration.Destination`
Vibration.`getDestination()`
Get the vibration destination.
Constructors in org.bukkit with parameters of type Vibration.Destination
Modifier
Constructor
Description
``
`Vibration(@NotNull Location origin, @NotNull Vibration.Destination destination, int arrivalTime)`
Deprecated, for removal: This API element is subject to removal in a future version.
``
`Vibration(@NotNull Vibration.Destination destination, @org.jetbrains.annotations.NotNull int arrivalTime)`